<?php
// Subroutine: adm_validate.php
// Xinfeng Chen, 2002.11.18
// require: config.php
// input: $f_user, $f_pass, $ck_admuser, $ck_admpass
// output: $adm_validated

$adm_validated=false;
if($f_admname){
 require_once('core/class_forum_base.php');
 CForumBase::setFileBase("$filepath");
 require_once('core/class_log.php');

 $f_admpass=stripslashes($f_admpass);
 if(strtoupper($f_admname)==strtoupper($admname) && md5($f_admpass)==$admpass){
  $adm_validated=true;
  $ck_admuser=$admname; $ck_admpass=$f_admpass;
  setcookie('ck_admuser', $ck_admuser);
  setcookie('ck_admpass', $ck_admpass);
  CLOG::writeLogEntry("User [$ck_admuser] logged into Admin Center");
 }else{
  CLOG::writeLogEntry("User [$f_admname] FAILED logon Admin Center");
 }
}elseif(strtoupper($ck_admuser)==strtoupper($admname) && md5($ck_admpass)==$admpass){
  $adm_validated=true;
}

?>